## leptonlib 1.57

=== prog/Makefile ===
#/*====================================================================*
# -  Copyright (C) 2001 Leptonica.  All rights reserved.
# -  This software is distributed in the hope that it will be
# -  useful, but with NO WARRANTY OF ANY KIND.
# -  No author or distributor accepts responsibility to anyone for the
# -  consequences of using this software, or for whether it serves any
# -  particular purpose or works at all, unless he or she says so in
# -  writing.  Everyone is granted permission to copy, modify and
# -  redistribute this source code, for commercial or non-commercial
# -  purposes, with the following restrictions: (1) the origin of this
# -  source code must not be misrepresented; (2) modified versions must
# -  be plainly marked as such; and (3) this notice may not be removed
# -  or altered from any source or modified source distribution.
# *====================================================================*/

#   Makefile  (for linux)
#
#   For a nodebug version:             make
#   For a debug version:               make DEBUG=yes
#   For a shared library version:      make SHARED=yes
#   With nonstandard library directories:
#                    make EXTRALIBS="-L<nonstandard-lib-dir>"
#   With nonstandard header directories
#                    make EXTRAINCLUDES="-I<nonstandard-incl-dir>"
#
#   To remove all executables:  make clean
#
#   To link and run programs using shared (dynamic linked) libraries,
#   you must do one of the following two things:
#
#     (a)  make sure your LD_LIBRARY_PATH variable points to the
#          directory in which the *.so files are placed; e.g.
#            export LD_LIBRARY_PATH=../lib/shared:$LD_LIBRARY_PATH
#          or
#     (b)  have the *.so files (or links to them) in this directory
#
#   Using gnu make, this should compile properly on a bigendian
#   machine (e.g., Mac).  Otherwise, you can explicitly set the endianness,
#   using either of these
#      CPPFLAGS =    $(INCLUDES) -DL_LITTLE_ENDIAN -D_STANDARD_C_
#      CPPFLAGS =    $(INCLUDES) -DL_BIG_ENDIAN -D_STANDARD_C_
#
#   To use the non-POSIX-compliant GNU functions fmemopen() and open_memstream(),
#   remove -D_STANDARD_C_ from CPPFLAGS:
#      CPPFLAGS =    $(INCLUDES) -D$(ENDIANNESS)
#
#   On cygwin, remove -fPIC from CC.  I believe that these files --
#   convertfilestops.c, jbcorrelation.c, jbrankhaus.c, maketile.c,
#   and viewertest.c -- which use posix directory functions, will
#   now work properly.
#
#   See below for enabling gif read/write.


# Libraries are built into a binary tree with its root in the
# parent directory
ROOT_DIR = ..

LIB_NODEBUG_DIR =	$(ROOT_DIR)/lib/nodebug
LIB_DEBUG_DIR =		$(ROOT_DIR)/lib/debug
LIB_SHARED_DIR =	$(ROOT_DIR)/lib/shared

# Include files are found within the same tree
IMAGELIB_INCL =	$(ROOT_DIR)/src


CC =		gcc -ansi -Werror -DANSI -fPIC
#CC =            g++ -Werror -fPIC


ifdef  SHARED
    LIB_DIR =	$(LIB_SHARED_DIR)
    OPTIMIZE =	-O2
else
    ifdef  DEBUG
	LIB_DIR =	$(LIB_DEBUG_DIR)
	OPTIMIZE =	-g
    else
	LIB_DIR =	$(LIB_NODEBUG_DIR)
	OPTIMIZE =	-O2
    endif
endif

OPTIONS =

INCLUDES =	-I$(IMAGELIB_INCL) -I/usr/X11R6/include $(EXTRAINCLUDES)
#INCLUDES =	-I$(IMAGELIB_INCL) -I/usr/X11R6/include -I/usr/local/include $(EXTRAINCLUDES)

CFLAGS =	$(OPTIMIZE) $(OPTIONS)

# Test for processor endianness (valid with gnu make only)
ENDIANNESS := $(shell $(CC) -o endiantest endiantest.c; ./endiantest; rm -f endiantest)

# Conditional compilation (depending on processor endian-ness)
# Use -D_STANDARD_C to stub out the non-posix GNU functions fmemopen()
# and open_memstream()
CPPFLAGS =      $(INCLUDES) -D$(ENDIANNESS)
#CPPFLAGS =      $(INCLUDES) -DL_LITTLE_ENDIAN
#CPPFLAGS =      $(INCLUDES) -DL_BIG_ENDIAN

LDFLAGS +=	-L$(LIB_DIR) -L/usr/X11R6/lib -L/usr/lib $(EXTRALIBS)
#LDFLAGS +=	-L$(LIB_DIR) -L/usr/X11R6/lib -L/usr/local/lib -L/usr/lib $(EXTRALIBS)

ifdef  SHARED
    LEPTLIB =		$(LIB_DIR)/liblept.so
else
    LEPTLIB =		$(LIB_DIR)/liblept.a
endif

# To enable gif read/write:
#    (1) In src/environ.h:  #define  HAVE_LIBGIF
#    (2) Install giflib-4.1.4, and be sure your LD_LIBRARY_PATH includes
#        the directory in which libgif.so.4 is installed.
#    (3) Use the second line below for ALL_LIBS
#ALL_LIBS =	$(LEPTLIB) -ltiff -ljpeg -lpng -lz -lm
ALL_LIBS =	$(LEPTLIB) -ltiff -ljpeg -lpng -lgif -lz -lm

#########################################################################

SRC =		binmorph1_reg.c binmorph2_reg.c binmorph3_reg.c \
		ccthin1_reg.c ccthin2_reg.c \
		cmapquant_reg.c colorquant_reg.c \
		compfilter_reg.c \
		conncomp_reg.c conversion_reg.c \
		distance_reg.c dwamorph1_reg.c enhance_reg.c \
		equal_reg.c expand_reg.c \
		fhmtauto_reg.c flipdetect_reg.c \
		fmorphauto_reg.c gifio_reg.c \
		graymorph_reg.c grayquant_reg.c \
		hardlight_reg.c ioformats_reg.c \
		kernel_reg.c locminmax_reg.c logicops_reg.c \
		morphseq_reg.c numa_reg.c \
		paint_reg.c paintmask_reg.c \
		pixa_reg.c pixadisp_reg.c pixtile_reg.c \
		rank_reg.c rasterop_reg.c rasteropip_reg.c \
		rotate_reg.c rotateorth_reg.c \
		scale_reg.c selio_reg.c \
		string_reg.c threshnorm_reg.c \
		xformbox_reg.c \
		adaptmaptest.c affinetest.c \
		arithtest.c barcodetest.c \
		baselinetest.c bilineartest.c \
		bincompare.c binmazetest.c \
		blendcmaptest.c blendtest1.c buffertest.c \
		ccbordtest.c cctest1.c \
		colormorphtest.c \
		colorquanttest.c colorsegtest.c \
		colorspacetest.c comparetest.c contrasttest.c \
		convertfilestops.c convertformat.c converttogray.c \
		converttops.c convolvetest.c cornertest.c \
		croptext.c digitprep1.c dithertest.c \
		edgetest.c extrematest.c falsecolortest.c \
		fcombautogen.c fhmtautogen.c fileinfo.c \
		findpattern1.c findpattern2.c findpattern3.c \
		flipselgen.c \
		fmorphautogen.c gammatest.c \
		genfonts.c graphicstest.c \
		graymazetest.c graymorphtest.c \
		heaptest.c histotest.c iotest.c inserttest.c \
		jbcorrelation.c jbrankhaus.c jbwords.c \
		lineremoval.c listtest.c \
		maketile.c modifyhuesat.c \
		morphtest1.c mtifftest.c \
		numaranktest.c otsutest.c \
		pagesegtest1.c pagesegtest2.c pagesegtest3.c \
		partitiontest.c pixaatest.c \
		plottest.c \
		printimage.c printsplitimage.c printtiff.c \
		projectivetest.c ranktest.c reducetest.c \
		removecmap.c renderfonts.c \
		rotatefastalt.c rotateorthtest1.c \
		rotatetest1.c runlengthtest.c \
		scaletest1.c scaletest2.c \
		seedfilltest.c sharptest.c \
		sheartest.c showedges.c \
		skewtest.c snapcolortest.c \
		sorttest.c splitimage2pdf.c \
		textlinemask.c \
		viewertest.c wordsinorder.c \
		xvdisp.c

#  Source files that are compiled after running program(s) from SRC
SRC2 =		dwamorph2_reg.c dwamorph3_reg.c

#  Remove these files and their .o's on clean
SRC3 =		dwalinear.3.c dwalinearlow.3.c

######################################################################

all:	$(SRC:%.c=%)

debian:	binmazetest buffertest comparetest \
	cctest1 ccthin1_reg colormorphtest colorquant_reg \
	colorspacetest conversion_reg \
	convertfilestops convertformat \
	converttops distance_reg \
	dithertest edgetest equal_reg extrematest \
	fhmtauto_reg fhmtautogen fileinfo \
	flipdetect_reg flipselgen fmorphauto_reg fmorphautogen \
	gammatest graphicstest graymazetest graymorph_reg \
	grayquant_reg heaptest histotest ioformats_reg \
	jbcorrelation jbrankhaus jbwords \
	kernel_reg lineremoval numaranktest pagesegtest1 \
	pagesegtest2 pagesegtest3 paint_reg paintmask_reg \
	partitiontest plottest \
	printimage printsplitimage printtiff \
	ranktest rank_reg removecmap scale_reg \
	sharptest splitimage2pdf viewertest

######################################################################

binmorph1_reg:	binmorph1_reg.o $(LEPTLIB)
	$(CC) -o binmorph1_reg binmorph1_reg.o $(ALL_LIBS) $(EXTRALIBS)

binmorph2_reg:	binmorph2_reg.o $(LEPTLIB)
	$(CC) -o binmorph2_reg binmorph2_reg.o $(ALL_LIBS) $(EXTRALIBS)

binmorph3_reg:	binmorph3_reg.o $(LEPTLIB)
	$(CC) -o binmorph3_reg binmorph3_reg.o $(ALL_LIBS) $(EXTRALIBS)

ccthin1_reg:	ccthin1_reg.o $(LEPTLIB)
	$(CC) -o ccthin1_reg ccthin1_reg.o $(ALL_LIBS) $(EXTRALIBS)

ccthin2_reg:	ccthin2_reg.o $(LEPTLIB)
	$(CC) -o ccthin2_reg ccthin2_reg.o $(ALL_LIBS) $(EXTRALIBS)

cmapquant_reg:	cmapquant_reg.o $(LEPTLIB)
	$(CC) -o cmapquant_reg cmapquant_reg.o $(ALL_LIBS) $(EXTRALIBS)

colorquant_reg:	colorquant_reg.o $(LEPTLIB)
	$(CC) -o colorquant_reg colorquant_reg.o $(ALL_LIBS) $(EXTRALIBS)

compfilter_reg: compfilter_reg.o $(LEPTLIB)
	$(CC) -o compfilter_reg compfilter_reg.o $(ALL_LIBS) $(EXTRALIBS)

conncomp_reg: conncomp_reg.o $(LEPTLIB)
	$(CC) -o conncomp_reg conncomp_reg.o $(ALL_LIBS) $(EXTRALIBS)

conversion_reg: conversion_reg.o $(LEPTLIB)
	$(CC) -o conversion_reg conversion_reg.o $(ALL_LIBS) $(EXTRALIBS)

distance_reg:	distance_reg.o $(LEPTLIB)
	$(CC) -o distance_reg distance_reg.o $(ALL_LIBS) $(EXTRALIBS)

dwamorph1_reg: dwamorph1_reg.o $(LEPTLIB)
	$(CC) -o dwamorph1_reg dwamorph1_reg.o $(ALL_LIBS) $(EXTRALIBS)

dwamorph2_reg:  dwamorph2_reg.o dwalinear.3.o dwalinearlow.3.o $(LEPTLIB)
	$(CC) -o dwamorph2_reg dwamorph2_reg.o dwalinear.3.o dwalinearlow.3.o $(ALL_LIBS) $(EXTRALIBS)

dwamorph3_reg:  dwamorph3_reg.o dwalinear.3.o dwalinearlow.3.o $(LEPTLIB)
	$(CC) -o dwamorph3_reg dwamorph3_reg.o dwalinear.3.o dwalinearlow.3.o $(ALL_LIBS) $(EXTRALIBS)

enhance_reg:	enhance_reg.o $(LEPTLIB)
	$(CC) -o enhance_reg enhance_reg.o $(ALL_LIBS) $(EXTRALIBS)

equal_reg:	equal_reg.o $(LEPTLIB)
	$(CC) -o equal_reg equal_reg.o $(ALL_LIBS) $(EXTRALIBS)

expand_reg:	expand_reg.o $(LEPTLIB)
	$(CC) -o expand_reg expand_reg.o $(ALL_LIBS) $(EXTRALIBS)

fhmtauto_reg:	fhmtauto_reg.o $(LEPTLIB)
	$(CC) -o fhmtauto_reg fhmtauto_reg.o $(ALL_LIBS) $(EXTRALIBS)

flipdetect_reg:	flipdetect_reg.o $(LEPTLIB)
	$(CC) -o flipdetect_reg flipdetect_reg.o $(ALL_LIBS) $(EXTRALIBS)

fmorphauto_reg:	fmorphauto_reg.o $(LEPTLIB)
	$(CC) -o fmorphauto_reg fmorphauto_reg.o $(ALL_LIBS) $(EXTRALIBS)

gifio_reg:	gifio_reg.o $(LEPTLIB)
	$(CC) -o gifio_reg gifio_reg.o $(ALL_LIBS) $(EXTRALIBS)

graymorph_reg:	graymorph_reg.o $(LEPTLIB)
	$(CC) -o graymorph_reg graymorph_reg.o $(ALL_LIBS) $(EXTRALIBS)

grayquant_reg:	grayquant_reg.o $(LEPTLIB)
	$(CC) -o grayquant_reg grayquant_reg.o $(ALL_LIBS) $(EXTRALIBS)

hardlight_reg:	hardlight_reg.o $(LEPTLIB)
	$(CC) -o hardlight_reg hardlight_reg.o $(ALL_LIBS) $(EXTRALIBS)

ioformats_reg:	ioformats_reg.o $(LEPTLIB)
	$(CC) -o ioformats_reg ioformats_reg.o $(ALL_LIBS) $(EXTRALIBS)

kernel_reg:	kernel_reg.o $(LEPTLIB)
	$(CC) -o kernel_reg kernel_reg.o $(ALL_LIBS) $(EXTRALIBS)

locminmax_reg:	locminmax_reg.o $(LEPTLIB)
	$(CC) -o locminmax_reg locminmax_reg.o $(ALL_LIBS) $(EXTRALIBS)

logicops_reg:	logicops_reg.o $(LEPTLIB)
	$(CC) -o logicops_reg logicops_reg.o $(ALL_LIBS) $(EXTRALIBS)

morphseq_reg:	morphseq_reg.o $(LEPTLIB)
	$(CC) -o morphseq_reg morphseq_reg.o $(ALL_LIBS) $(EXTRALIBS)

numa_reg:	numa_reg.o $(LEPTLIB)
	$(CC) -o numa_reg numa_reg.o $(ALL_LIBS) $(EXTRALIBS)

paint_reg:	paint_reg.o $(LEPTLIB)
	$(CC) -o paint_reg paint_reg.o $(ALL_LIBS) $(EXTRALIBS)

paintmask_reg:	paintmask_reg.o $(LEPTLIB)
	$(CC) -o paintmask_reg paintmask_reg.o $(ALL_LIBS) $(EXTRALIBS)

pixa_reg:	pixa_reg.o $(LEPTLIB)
	$(CC) -o pixa_reg pixa_reg.o $(ALL_LIBS) $(EXTRALIBS)

pixadisp_reg:	pixadisp_reg.o $(LEPTLIB)
	$(CC) -o pixadisp_reg pixadisp_reg.o $(ALL_LIBS) $(EXTRALIBS)

pixtile_reg:	pixtile_reg.o $(LEPTLIB)
	$(CC) -o pixtile_reg pixtile_reg.o $(ALL_LIBS) $(EXTRALIBS)

rank_reg:	rank_reg.o $(LEPTLIB)
	$(CC) -o rank_reg rank_reg.o $(ALL_LIBS) $(EXTRALIBS)

rasterop_reg:	rasterop_reg.o $(LEPTLIB)
	$(CC) -o rasterop_reg rasterop_reg.o $(ALL_LIBS) $(EXTRALIBS)

rasteropip_reg:	rasteropip_reg.o $(LEPTLIB)
	$(CC) -o rasteropip_reg rasteropip_reg.o $(ALL_LIBS) $(EXTRALIBS)

rotate_reg:	rotate_reg.o $(LEPTLIB)
	$(CC) -o rotate_reg rotate_reg.o $(ALL_LIBS) $(EXTRALIBS)

rotateorth_reg:	rotateorth_reg.o $(LEPTLIB)
	$(CC) -o rotateorth_reg rotateorth_reg.o $(ALL_LIBS) $(EXTRALIBS)

scale_reg:	scale_reg.o $(LEPTLIB)

## leptonlib 1.68

=== debian/changelog ===
leptonlib (1.68-5) unstable; urgency=low

  * PNG transition (closes: #636002, #636971)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 08 Dec 2011 16:28:27 -0800

leptonlib (1.68-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Sanitize "Depends:" field of libleptonica in debian/control
    (Closes: #649786).

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 07 Dec 2011 12:25:37 +0100

leptonlib (1.68-4) unstable; urgency=low

  * Add webp support
  * Fix busted dependency (closes: #619861)
  * Remove .la files (closes: #621540)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 13 Apr 2011 22:19:31 -0700

leptonlib (1.68-3) unstable; urgency=low

  * Revise the selection of sample programs, again.

 -- Jeff Breidenbach <jab@debian.org>  Tue, 15 Mar 2011 17:08:46 -0700

leptonlib (1.68-2) unstable; urgency=low

  * Trim the number of sample programs at request of upstream

 -- Jeff Breidenbach <jab@debian.org>  Tue, 15 Mar 2011 15:53:55 -0700

leptonlib (1.68-1) unstable; urgency=low

  * New upstream released
  * Relaxes compiler settings (Closes: #565111)
  * Includes skewtest sample program (Closes: #614248)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 14 Mar 2011 14:15:53 -0700

leptonlib (1.62-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move programs out of /usr/bin/leptonica subdirectory, patch by
    Jonathan Niehof. (Closes: #552769)
  * debian/rules: install leptonica.3 manpage in leptonica-progs
  * leptonica-progs.links: link leptonica-progs manpages to leptonica.3

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 04 Dec 2009 16:22:14 +0100

leptonlib (1.62-1) unstable; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 28 Jul 2009 15:10:11 -0700

leptonlib (1.57-1) unstable; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Wed, 16 Jul 2008 10:38:21 -0700

=== debian/control ===
Source: leptonlib
Priority: optional
Maintainer: Jeff Breidenbach <jab@debian.org>
Build-Depends: debhelper (>= 5.0.0), libtiff4-dev (>= 3.7.4), libpng12-dev | libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev
Standards-Version: 3.9.2
Section: graphics

Package: libleptonica-dev
Section: libdevel
Architecture: any
Depends: libleptonica (= ${binary:Version}), ${misc:Depends}
Description: image processing library
 Well-tested C library for some basic image processing operations,
 along with a description of the functions and some design methods. A
 full set of affine transformations (translation, shear, rotation,
 scaling) on images of all depths is included, with the exception that
 some of the scaling methods do not work at all depths. There are also
 implementations of binary morphology, grayscale morphology,
 convolution and rank order filters, and applications such as jbig2
 image processing and color quantization. You will also find basic
 utilities for the safe and efficient handling of arrays (of strings,
 numbers, number pairs and image-related geometrical objects), byte
 queues, generic stacks, generic lists, and endian-independent
 indexing into 32-bit arrays.

Package: libleptonica
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: image processing library
 Well-tested C library for some basic image processing operations,
 along with a description of the functions and some design methods. A
 full set of affine transformations (translation, shear, rotation,
 scaling) on images of all depths is included, with the exception that
 some of the scaling methods do not work at all depths. There are also
 implementations of binary morphology, grayscale morphology,
 convolution and rank order filters, and applications such as jbig2
 image processing and color quantization. You will also find basic
 utilities for the safe and efficient handling of arrays (of strings,
 numbers, number pairs and image-related geometrical objects), byte
 queues, generic stacks, generic lists, and endian-independent
 indexing into 32-bit arrays.

Package: leptonica-progs
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sample programs for Leptonica image processing library
 Well-tested C library for some basic image processing operations,
 along with a description of the functions and some design methods. A
 full set of affine transformations (translation, shear, rotation,
 scaling) on images of all depths is included, with the exception that
 some of the scaling methods do not work at all depths. There are also
 implementations of binary morphology, grayscale morphology,
 convolution and rank order filters, and applications such as jbig2
 image processing and color quantization. You will also find basic
 utilities for the safe and efficient handling of arrays (of strings,
 numbers, number pairs and image-related geometrical objects), byte
 queues, generic stacks, generic lists, and endian-independent
 indexing into 32-bit arrays.

## leptonlib 1.69

=== debian/changelog ===
leptonlib (1.69-4ubuntu3) trusty; urgency=medium

  * Fix "touch-buildonstamp" typo (thanks to Adam Conrad for spotting with
    his ever-so-keen eyes).
  * Use dh-autoreconf instead of autotools-dev to try to fix FTBFS on ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 19 Dec 2013 23:04:36 -0500

leptonlib (1.69-4ubuntu2) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 19 Dec 2013 22:14:59 -0500

leptonlib (1.69-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 04 Jul 2013 13:43:34 -0400

leptonlib (1.69-4) unstable; urgency=low

  * Webp transition.

 -- Jeff Breidenbach <jab@debian.org>  Tue, 02 Jul 2013 09:18:44 -0700

leptonlib (1.69-3.1ubuntu2) raring; urgency=low

  * No-change rebuild against libwebp 0.2 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Apr 2013 13:49:07 -0400

leptonlib (1.69-3.1ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 16:37:04 +0100

leptonlib (1.69-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Rename libleptonica package to liblept3 (closes: #664176, #681570,
    #681574)
    * liblept3 Breaks and Replaces libleptonica (>= 1.69~) to reflect
      transfer of ownership of /usr/lib/liblept.so.3

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 19 Jul 2012 16:39:48 -0500

leptonlib (1.69-3) unstable; urgency=low

  * Get ready for libpng transition (closes: #662392)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 15 Mar 2012 22:16:11 +0000

leptonlib (1.69-2) unstable; urgency=low

  * Building with more modern pbuilder. No other changes.

 -- Jeff Breidenbach <jab@debian.org>  Tue, 17 Jan 2012 16:01:11 -0800

leptonlib (1.69-1) unstable; urgency=high

  * New upstream release
  * High priority to make Ubuntu/Debian Jan 12 synchronization

 -- Jeff Breidenbach <jab@debian.org>  Mon, 09 Jan 2012 13:27:15 -0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: leptonlib
 Priority: optional
-Maintainer: Jeff Breidenbach <jab@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libtiff4-dev (>= 3.7.4), libpng12-dev | libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev, dh-autoreconf
+Standards-Version: 3.9.3
 Section: graphics
 
 Package: libleptonica-dev
 Section: libdevel
 Architecture: any
-Depends: libleptonica (= ${binary:Version}), ${misc:Depends}
+Depends: liblept3 (= ${binary:Version}), ${misc:Depends}
 Description: image processing library
  Well-tested C library for some basic image processing operations,
  along with a description of the functions and some design methods. A
@@ -23,10 +24,12 @@
  queues, generic stacks, generic lists, and endian-independent
  indexing into 32-bit arrays.
 
-Package: libleptonica
+Package: liblept3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libleptonica (>= 1.69~)
+Replaces: libleptonica (>= 1.69~)
 Description: image processing library
  Well-tested C library for some basic image processing operations,
  along with a description of the functions and some design methods. A

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp:
	dh_testdir
	dh_autoreconf
	# Add here commands to compile the package.
	./configure --prefix=/usr
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) maintainer-clean
	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	install -d $(CURDIR)/debian/tmp/usr/lib
	install -d $(CURDIR)/debian/tmp/usr/include/leptonica
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
	dh_installman -p leptonica-progs debian/leptonica.3
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## leptonlib 1.70.1

=== debian/changelog ===
leptonlib (1.70.1-1) unstable; urgency=low

  * New upstream release
  * Fix some Lintian warnings

 -- Jeff Breidenbach <jab@debian.org>  Wed, 05 Feb 2014 17:16:29 -0800

leptonlib (1.70-2) unstable; urgency=low

  * Promote from experimental to unstable (transition bug #735509)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 03 Feb 2014 10:17:20 -0800

leptonlib (1.70-1) experimental; urgency=low

  * New upstream release
  * Smaller set of binaries at request of upstream

 -- Jeff Breidenbach <jab@debian.org>  Thu, 23 Jan 2014 13:29:23 -0800

leptonlib (1.69+1.70rc2-1) experimental; urgency=low

  * New upstream release
  * Clean up some lintian warnings
  * Touch up binary list and manpages again

 -- Jeff Breidenbach <jab@debian.org>  Tue, 14 Jan 2014 12:22:14 -0800

leptonlib (1.69+1.70rc1-2) experimental; urgency=low

  * Fix debian/copyright with upstream help (closes: #735103)
  * Remove breaks/replaces fields from debian/control

 -- Jeff Breidenbach <jab@debian.org>  Mon, 13 Jan 2014 09:06:19 -0800

leptonlib (1.69+1.70rc1-1) experimental; urgency=low

  * New upstream release
  * Fix typo in manpage (closes: #697965)
  * Tone down expectations in manpage (closes: #697966)
  * Upstream approved more binaries (closes: #697967, #682575)
  * Upstream fixed a crash bug in pdfiotest (closes: #716562)
  * Integrate a handful of Ubuntu packaging fixes.
  * Trust upstream's preferred compiler warnings, remove -Wall
  * Fix a few lintian warnings.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 06 Jan 2014 10:03:38 -0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: leptonlib
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Maintainer: Jeff Breidenbach <jab@debian.org>
 Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev, dh-autoreconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Section: graphics
 
 Package: libleptonica-dev
 Section: libdevel
 Architecture: any
-Depends: liblept3 (= ${binary:Version}), ${misc:Depends}
+Depends: liblept4 (= ${binary:Version}), ${misc:Depends}
 Description: image processing library
  Well-tested C library for some basic image processing operations,
  along with a description of the functions and some design methods. A
@@ -24,7 +23,7 @@
  queues, generic stacks, generic lists, and endian-independent
  indexing into 32-bit arrays.
 
-Package: liblept3
+Package: liblept4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 # As a special exception, when this file is copied by dh-make into a
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
-
-CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -17,12 +15,14 @@
 	INSTALL_PROGRAM += -s
 endif
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	dh_autoreconf
 	# Add here commands to compile the package.
-	./configure --prefix=/usr
+	./configure --prefix=/usr $(shell dpkg-buildflags --export=configure)
 	$(MAKE)
 	touch build-stamp
 
@@ -31,7 +31,6 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	# Add here commands to clean up after the build process.
-	-$(MAKE) maintainer-clean
 	dh_autoreconf_clean
 	dh_clean

## leptonlib 1.71

=== debian/changelog ===
leptonlib (1.71-2.1+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * Add gnuplot-nox to Build-Depends to make the test suite pass.
  * Skip tests in nocheck build.
  * Fix CVE-2018-3836 (Closes: #889759)
  * Fix CVE-2018-7186 (Closes: #890548)
  * Fix CVE-2018-7441
  * Fix CVE-2018-7442 (Closes: #898439)
    + The last two changes pose a behaviour change. A number of unsafe
      debugging functions are now disabled by default an can be reenabled
      given trusted input using a new function setLeptDebugOK(1).
  * Fix CVE-2022-38266

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 10 Jan 2023 12:34:52 +0100

leptonlib (1.71-2.1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * activate testsuite (-> make check after make)
    (ten tests are already failing)
  * CVE-2020-36277
    denial of service (application crash) via an incorrect left
    shift in pixConvert2To8 in pixconv.c
  * CVE-2020-36278
    heap-based buffer over-read in findNextBorderPixel in ccbord.c
  * CVE-2020-36279
    heap-based buffer over-read in rasteropGeneralLow, related to
    adaptmap_reg.c and adaptmap.c
  * CVE-2020-36281
    heap-based buffer over-read in pixFewColorsOctcubeQuantMixed
    in colorquant1.c

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 29 Mar 2021 19:03:02 +0200

leptonlib (1.71-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against openjpeg 2.1.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 25 Sep 2014 09:44:12 +0800

leptonlib (1.71-2) unstable; urgency=low

  * Add support for JPEG 2000 now that openjpeg2 is in Debian.

 -- Jeff Breidenbach <jab@debian.org>  Fri, 05 Sep 2014 17:50:11 -0700

leptonlib (1.71-1) unstable; urgency=low

  * New upstream release
  * Added pkg-config file (closes: #749953)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 24 Jul 2014 13:00:21 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: leptonlib
 Priority: optional
 Maintainer: Jeff Breidenbach <jab@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev, dh-autoreconf
+Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev, libopenjp2-7-dev, dh-autoreconf, gnuplot-nox <!nocheck>
 Standards-Version: 3.9.5
 Section: graphics

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	# Add here commands to compile the package.
 	./configure --prefix=/usr $(shell dpkg-buildflags --export=configure)
 	$(MAKE)
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	- $(MAKE) check
+endif
 	touch build-stamp
 
 clean:

## leptonlib 1.72

=== debian/changelog ===
leptonlib (1.72-3) unstable; urgency=medium

  * Remove a bogus stderr warning that was annoying Tesseract users

 -- Jeff Breidenbach <jab@debian.org>  Thu, 16 Jul 2015 03:23:15 +0000

leptonlib (1.72-1) unstable; urgency=medium

  * New upstream release
  * Webp build dependency is now versioned (closes: #772814)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 09 Apr 2015 11:06:12 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: leptonlib
 Priority: optional
 Maintainer: Jeff Breidenbach <jab@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev, libopenjp2-7-dev, dh-autoreconf, gnuplot-nox <!nocheck>
+Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev  (>= 0.4.0), libopenjp2-7-dev, dh-autoreconf
 Standards-Version: 3.9.5
 Section: graphics
